> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/demand-mix/campaign

> Returns a list of campaigns and their associated data for the given time frame



## OpenAPI

````yaml /openapi.json get /v1/report/insight/demand-mix/campaign
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/demand-mix/campaign:
    get:
      tags:
        - Reporting/Insights Hub/Demand Mix
        - public
      summary: /report/insight/demand-mix/campaign
      description: >-
        Returns a list of campaigns and their associated data for the given time
        frame
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: date_group
          in: query
          description: Date grouping when range=custom
          required: false
          schema:
            type: string
            enum:
              - day
              - month
              - year
            default: day
        - name: rev_type
          in: query
          description: Revenue type
          required: false
          schema:
            type: string
            enum:
              - gross
              - net
            default: gross
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      currency:
                        type: string
                      dates:
                        type: array
                        items:
                          type: string
                      campaigns:
                        type: object
                        properties:
                          Cboe - Sep25:
                            type: object
                            properties:
                              revenue:
                                type: array
                                items:
                                  type: number
                              impressions:
                                type: array
                                items:
                                  type: integer
                              demand:
                                type: string
                            required:
                              - revenue
                              - impressions
                              - demand
                          Blockthrough - Prebid:
                            type: object
                            properties:
                              revenue:
                                type: array
                                items:
                                  type: number
                              impressions:
                                type: array
                                items:
                                  type: integer
                              demand:
                                type: string
                            required:
                              - revenue
                              - impressions
                              - demand
                        required:
                          - Cboe - Sep25
                          - Blockthrough - Prebid
                      campaignList:
                        type: array
                        items:
                          type: object
                          properties:
                            campaign_id:
                              type: integer
                            campaign_name:
                              type: string
                            publisher:
                              type: string
                            demand:
                              type: string
                            start_date:
                              type: string
                            end_date:
                              type: string
                            status:
                              type: string
                          required:
                            - campaign_id
                            - campaign_name
                            - publisher
                            - demand
                            - start_date
                            - end_date
                            - status
                    required:
                      - currency
                      - dates
                      - campaigns
                      - campaignList
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  currency: GBP
                  dates:
                    - '2025-11-24'
                  campaigns:
                    Cboe - Sep25:
                      revenue:
                        - 1108.665
                      impressions:
                        - 147822
                      demand: publisher
                    Blockthrough - Prebid:
                      revenue:
                        - 3.3096
                      impressions:
                        - 2103
                      demand: ci
                  campaignList:
                    - campaign_id: 3200208619
                      campaign_name: Blockthrough - Prebid
                      publisher: example.com
                      demand: CI
                      start_date: '2024-04-26'
                      end_date: '2025-11-24'
                      status: live
                    - campaign_id: 3857875424
                      campaign_name: Cboe - Sep25
                      publisher: example.com
                      demand: Publisher
                      start_date: '2025-10-01'
                      end_date: '2025-11-24'
                      status: live
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````